import "virtual:windi.css"
import { createApp } from "vue"
import { createRouter, createWebHistory } from "vue-router"
import App from "./App.vue"
import routes from "virtual:generated-pages"

const router = createRouter({
  routes: [
    ...routes,
    {
      path: "/",
      redirect: "/d"
    }
  ],
  history: createWebHistory()
})

createApp(App)
  .use(router)
  .mount("#app")
