import EventEmitter from "eventemitter3"
import type { GameAction } from "../shared/gameActions"

export const gameActionsBus = new EventEmitter<Record<string, [GameAction]>>()

interface Events {
	broadcastAction: [GameAction]
}

export class Game extends EventEmitter<Events> {
	constructor(public id: string) {
		super()
	}
}