import { defineConfig } from "vite"
import vuePlugin from "@vitejs/plugin-vue"
import iconsPlugin from "unplugin-icons/vite"
import pagesPlugin from "vite-plugin-pages"
import windiPlugin from "vite-plugin-windicss"

export default defineConfig({
	plugins: [
		vuePlugin(),
		iconsPlugin(),
		pagesPlugin(),
		windiPlugin()
	],
	server: {
		proxy: {
			"/trpc": "http://127.0.0.1:3000"
		}
	}
})
